Page MenuHomePhabricator

[ASTImporter] Do not import FunctionTemplateDecl in record twice.
ClosedPublic

Authored by balazske on Jul 24 2019, 5:32 AM.

Details

Summary

For functions there is a check to not duplicate the declaration if it is in a
record (class). For function templates there was no similar check, if a
template (in the same class) was imported multiple times the
FunctionTemplateDecl was created multiple times with the same templated
FunctionDecl. This can result in problems with the declaration chain.

Diff Detail

Repository
rL LLVM

Event Timeline

balazske created this revision.Jul 24 2019, 5:32 AM
balazske updated this revision to Diff 211743.Jul 25 2019, 7:00 AM

Added missing test fixture, removed not a related change.

@a_sidorin This is a polite Ping.

a_sidorin accepted this revision.Aug 6 2019, 2:46 PM

LGTM, thanks!

This revision is now accepted and ready to land.Aug 6 2019, 2:46 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptAug 7 2019, 5:40 AM